curl -X POST "https://verification.didit.me/v3/database-validation/" \
-H "x-api-key: YOUR_API_KEY" \
-F "issuing_state=NZL" \
-F "services=nzl_zealand_drivers_licence" \
-F "vendor_data=user-1234" \
-F "consent=true" \
-F "first_name=John" \
-F "last_name=Doe" \
-F "date_of_birth=1990-01-01" \
-F "driver_license_number=SAMPLE-DL-12345" \
-F "driver_license_version=1"
from didit import Didit
# Reads DIDIT_API_KEY.
client = Didit()
result = client.database_validation.validate(
issuing_state="NZL",
services=["nzl_zealand_drivers_licence"],
consent=True,
first_name="John",
last_name="Doe",
date_of_birth="1990-01-01",
driver_license_number="SAMPLE-DL-12345",
driver_license_version="1",
vendor_data="user-1234",
)
print(result)
import Didit from "@didit-protocol/sdk-node";
// Reads DIDIT_API_KEY.
const didit = new Didit();
const result = await didit.databaseValidation.validate({
issuing_state: "NZL",
services: ["nzl_zealand_drivers_licence"],
consent: true,
first_name: "John",
last_name: "Doe",
date_of_birth: "1990-01-01",
driver_license_number: "SAMPLE-DL-12345",
driver_license_version: "1",
vendor_data: "user-1234",
});
console.log(result);
ctx := context.Background()
// Reads DIDIT_API_KEY.
client := didit.NewClient()
result, err := client.DatabaseValidation.Validate(ctx, didit.DatabaseValidationValidateParams{
IssuingState: "NZL",
Services: didit.Some([]string{"nzl_zealand_drivers_licence"}),
Consent: didit.Bool(true),
FirstName: didit.String("John"),
LastName: didit.String("Doe"),
DateOfBirth: didit.String("1990-01-01"),
DriverLicenseNumber: didit.String("SAMPLE-DL-12345"),
DriverLicenseVersion: didit.String("1"),
VendorData: didit.String("user-1234"),
})
if err != nil {
log.Fatal(err)
}
fmt.Printf("%+v\n", result)
import java.time.LocalDate;
import java.util.List;
import me.didit.Didit;
import me.didit.types.DatabaseValidationValidateParams;
// Reads DIDIT_API_KEY.
Didit client = new Didit();
var result = client.databaseValidation().validate(DatabaseValidationValidateParams.builder()
.issuingState("NZL")
.services(List.of("nzl_zealand_drivers_licence"))
.consent(true)
.firstName("John")
.lastName("Doe")
.dateOfBirth(LocalDate.parse("1990-01-01"))
.driverLicenseNumber("SAMPLE-DL-12345")
.driverLicenseVersion("1")
.vendorData("user-1234")
.build());
System.out.println(result);
<?php
require 'vendor/autoload.php';
use Didit\DiditClient;
// Reads DIDIT_API_KEY.
$didit = new DiditClient();
$result = $didit->databaseValidation->validate([
'issuing_state' => 'NZL',
'services' => ['nzl_zealand_drivers_licence'],
'consent' => true,
'first_name' => 'John',
'last_name' => 'Doe',
'date_of_birth' => '1990-01-01',
'driver_license_number' => 'SAMPLE-DL-12345',
'driver_license_version' => '1',
'vendor_data' => 'user-1234',
]);
print_r($result->toArray());
require "didit"
# Reads DIDIT_API_KEY.
didit = Didit::Client.new
result = didit.database_validation.validate(
issuing_state: "NZL",
services: ["nzl_zealand_drivers_licence"],
consent: true,
first_name: "John",
last_name: "Doe",
date_of_birth: "1990-01-01",
driver_license_number: "SAMPLE-DL-12345",
driver_license_version: "1",
vendor_data: "user-1234"
)
puts result.to_h
using System;
using System.Text.Json;
using Didit;
// Reads DIDIT_API_KEY.
using var client = new DiditClient();
var result = await client.DatabaseValidation.ValidateAsync(new DatabaseValidationValidateParams
{
IssuingState = "NZL",
Services = new string[] { "nzl_zealand_drivers_licence" },
Consent = true,
FirstName = "John",
LastName = "Doe",
DateOfBirth = "1990-01-01",
DriverLicenseNumber = "SAMPLE-DL-12345",
DriverLicenseVersion = "1",
VendorData = "user-1234",
});
Console.WriteLine(JsonSerializer.Serialize(result));
{
"request_id": "req_01H…",
"status": "Approved",
"issuing_state": "NZL",
"match_type": "full_match",
"validations": [
{
"outcome_code": "MATCH",
"service_id": "nzl_zealand_drivers_licence",
"service_name": "New Zealand Drivers Licence (NZTA)",
"source_data": {
"date_of_birth": "1990-01-01",
"first_name": "John",
"full_name": "John Doe",
"identification_number": "SAMPLE-ID-12345",
"last_name": "Doe",
"name_match_score": "1.000",
"verifications": {
"date_of_birth": true,
"full_name": true,
"identification_number": true
}
},
"validation": {
"date_of_birth": "full_match",
"full_name": "full_match",
"identification_number": "full_match"
}
}
]
}
{
"request_id": "req_01H…",
"status": "In Review",
"issuing_state": "NZL",
"match_type": "partial_match",
"validations": [
{
"outcome_code": "PARTIAL_MATCH",
"service_id": "nzl_zealand_drivers_licence",
"service_name": "New Zealand Drivers Licence (NZTA)",
"source_data": {
"date_of_birth": "1990-01-01",
"first_name": "John",
"full_name": "John Doe",
"identification_number": "SAMPLE-ID-12345",
"last_name": "Doe",
"name_match_score": "1.000",
"verifications": {
"date_of_birth": true,
"full_name": false,
"identification_number": true
}
},
"validation": {
"date_of_birth": "full_match",
"full_name": "no_match",
"identification_number": "full_match"
}
}
]
}
{
"request_id": "req_01H…",
"status": "Declined",
"issuing_state": "NZL",
"match_type": "no_match",
"validations": [
{
"outcome_code": "NO_MATCH",
"service_id": "nzl_zealand_drivers_licence",
"service_name": "New Zealand Drivers Licence (NZTA)",
"source_data": {
"date_of_birth": "NO_MATCH",
"full_name": "NO_MATCH",
"identification_number": "NO_MATCH"
},
"validation": {
"date_of_birth": "no_match",
"full_name": "no_match",
"identification_number": "no_match"
}
}
]
}
🇳🇿 뉴질랜드
뉴질랜드 운전면허증(NZTA) 인증 API
Didit을 통해 뉴질랜드 공식 데이터베이스에서 운전면허증을 조회합니다. 호출당 $0.35부터, 계약 및 최소 사용량 없음.
POST
/
v3
/
database-validation
/
curl -X POST "https://verification.didit.me/v3/database-validation/" \
-H "x-api-key: YOUR_API_KEY" \
-F "issuing_state=NZL" \
-F "services=nzl_zealand_drivers_licence" \
-F "vendor_data=user-1234" \
-F "consent=true" \
-F "first_name=John" \
-F "last_name=Doe" \
-F "date_of_birth=1990-01-01" \
-F "driver_license_number=SAMPLE-DL-12345" \
-F "driver_license_version=1"
from didit import Didit
# Reads DIDIT_API_KEY.
client = Didit()
result = client.database_validation.validate(
issuing_state="NZL",
services=["nzl_zealand_drivers_licence"],
consent=True,
first_name="John",
last_name="Doe",
date_of_birth="1990-01-01",
driver_license_number="SAMPLE-DL-12345",
driver_license_version="1",
vendor_data="user-1234",
)
print(result)
import Didit from "@didit-protocol/sdk-node";
// Reads DIDIT_API_KEY.
const didit = new Didit();
const result = await didit.databaseValidation.validate({
issuing_state: "NZL",
services: ["nzl_zealand_drivers_licence"],
consent: true,
first_name: "John",
last_name: "Doe",
date_of_birth: "1990-01-01",
driver_license_number: "SAMPLE-DL-12345",
driver_license_version: "1",
vendor_data: "user-1234",
});
console.log(result);
ctx := context.Background()
// Reads DIDIT_API_KEY.
client := didit.NewClient()
result, err := client.DatabaseValidation.Validate(ctx, didit.DatabaseValidationValidateParams{
IssuingState: "NZL",
Services: didit.Some([]string{"nzl_zealand_drivers_licence"}),
Consent: didit.Bool(true),
FirstName: didit.String("John"),
LastName: didit.String("Doe"),
DateOfBirth: didit.String("1990-01-01"),
DriverLicenseNumber: didit.String("SAMPLE-DL-12345"),
DriverLicenseVersion: didit.String("1"),
VendorData: didit.String("user-1234"),
})
if err != nil {
log.Fatal(err)
}
fmt.Printf("%+v\n", result)
import java.time.LocalDate;
import java.util.List;
import me.didit.Didit;
import me.didit.types.DatabaseValidationValidateParams;
// Reads DIDIT_API_KEY.
Didit client = new Didit();
var result = client.databaseValidation().validate(DatabaseValidationValidateParams.builder()
.issuingState("NZL")
.services(List.of("nzl_zealand_drivers_licence"))
.consent(true)
.firstName("John")
.lastName("Doe")
.dateOfBirth(LocalDate.parse("1990-01-01"))
.driverLicenseNumber("SAMPLE-DL-12345")
.driverLicenseVersion("1")
.vendorData("user-1234")
.build());
System.out.println(result);
<?php
require 'vendor/autoload.php';
use Didit\DiditClient;
// Reads DIDIT_API_KEY.
$didit = new DiditClient();
$result = $didit->databaseValidation->validate([
'issuing_state' => 'NZL',
'services' => ['nzl_zealand_drivers_licence'],
'consent' => true,
'first_name' => 'John',
'last_name' => 'Doe',
'date_of_birth' => '1990-01-01',
'driver_license_number' => 'SAMPLE-DL-12345',
'driver_license_version' => '1',
'vendor_data' => 'user-1234',
]);
print_r($result->toArray());
require "didit"
# Reads DIDIT_API_KEY.
didit = Didit::Client.new
result = didit.database_validation.validate(
issuing_state: "NZL",
services: ["nzl_zealand_drivers_licence"],
consent: true,
first_name: "John",
last_name: "Doe",
date_of_birth: "1990-01-01",
driver_license_number: "SAMPLE-DL-12345",
driver_license_version: "1",
vendor_data: "user-1234"
)
puts result.to_h
using System;
using System.Text.Json;
using Didit;
// Reads DIDIT_API_KEY.
using var client = new DiditClient();
var result = await client.DatabaseValidation.ValidateAsync(new DatabaseValidationValidateParams
{
IssuingState = "NZL",
Services = new string[] { "nzl_zealand_drivers_licence" },
Consent = true,
FirstName = "John",
LastName = "Doe",
DateOfBirth = "1990-01-01",
DriverLicenseNumber = "SAMPLE-DL-12345",
DriverLicenseVersion = "1",
VendorData = "user-1234",
});
Console.WriteLine(JsonSerializer.Serialize(result));
{
"request_id": "req_01H…",
"status": "Approved",
"issuing_state": "NZL",
"match_type": "full_match",
"validations": [
{
"outcome_code": "MATCH",
"service_id": "nzl_zealand_drivers_licence",
"service_name": "New Zealand Drivers Licence (NZTA)",
"source_data": {
"date_of_birth": "1990-01-01",
"first_name": "John",
"full_name": "John Doe",
"identification_number": "SAMPLE-ID-12345",
"last_name": "Doe",
"name_match_score": "1.000",
"verifications": {
"date_of_birth": true,
"full_name": true,
"identification_number": true
}
},
"validation": {
"date_of_birth": "full_match",
"full_name": "full_match",
"identification_number": "full_match"
}
}
]
}
{
"request_id": "req_01H…",
"status": "In Review",
"issuing_state": "NZL",
"match_type": "partial_match",
"validations": [
{
"outcome_code": "PARTIAL_MATCH",
"service_id": "nzl_zealand_drivers_licence",
"service_name": "New Zealand Drivers Licence (NZTA)",
"source_data": {
"date_of_birth": "1990-01-01",
"first_name": "John",
"full_name": "John Doe",
"identification_number": "SAMPLE-ID-12345",
"last_name": "Doe",
"name_match_score": "1.000",
"verifications": {
"date_of_birth": true,
"full_name": false,
"identification_number": true
}
},
"validation": {
"date_of_birth": "full_match",
"full_name": "no_match",
"identification_number": "full_match"
}
}
]
}
{
"request_id": "req_01H…",
"status": "Declined",
"issuing_state": "NZL",
"match_type": "no_match",
"validations": [
{
"outcome_code": "NO_MATCH",
"service_id": "nzl_zealand_drivers_licence",
"service_name": "New Zealand Drivers Licence (NZTA)",
"source_data": {
"date_of_birth": "NO_MATCH",
"full_name": "NO_MATCH",
"identification_number": "NO_MATCH"
},
"validation": {
"date_of_birth": "no_match",
"full_name": "no_match",
"identification_number": "no_match"
}
}
]
}
입력 데이터를 NZTA 검증 서비스로 검증합니다. Didit은 이 서비스를
POST /v3/database-validation/를 통해 제공하므로, 제출된 데이터를 공식 소스와 대조하고 정규화된 일치 결과를 받을 수 있습니다.
적용 범위
- 적용 범위: 100%*
- 국가: 뉴질랜드
- 서비스 ID:
nzl_zealand_drivers_licence - 데이터 도메인: 문서
- 카테고리: DriverLicence
입력 항목
| 필드 | 필수 여부 | 예시 |
|---|---|---|
first_name | 예 | John |
last_name | 예 | Doe |
date_of_birth | 예 | 1990-01-01 |
driver_license_number | 예 | SAMPLE-DL-12345 |
driver_license_version | 예 | 1 |
vendor_data | 아니요 | user-1234 |
- 필수 입력 항목:
first_name,last_name,date_of_birth,driver_license_number,driver_license_version - 선택 입력 항목:
vendor_data - 동의: 필수
- 워크플로 사용 가능 여부: 워크플로에서 사용 가능
- 적용 범위: 100%*
- 가격: 성공한 조회 건당 $0.35
본문 파라미터
string
기본값:"NZL"
필수
이 데이터베이스 서비스의 ISO 3166-1 alpha-3 국가 코드입니다.예시:
NZLstring
기본값:"nzl_zealand_drivers_licence"
필수
이 서비스 ID를 포함하는 배열입니다. 서비스를 고정하면 요청이 이 특정 데이터베이스로 한정됩니다.예시:
nzl_zealand_drivers_licenceboolean
기본값:"true"
필수
이 서비스에 대한 최종 사용자의 명시적 동의입니다.예시:
truestring
기본값:"John"
필수
검증할 이름입니다.예시:
Johnstring
기본값:"Doe"
필수
검증할 성입니다.예시:
Doestring
기본값:"1990-01-01"
필수
YYYY-MM-DD 형식의 생년월일입니다.예시: 1990-01-01string
기본값:"SAMPLE-DL-12345"
필수
운전면허 번호입니다.예시:
SAMPLE-DL-12345string
기본값:"1"
필수
이 데이터베이스 서비스에 필요한
driver_license_version 값입니다.예시: 1string
기본값:"user-1234"
내부 사용자 ID처럼 이 사람을 나타내는 안정적인 사용자 참조값입니다. Didit은 이 값을 사용해 단독 검사를 같은 최종 사용자와 연결하고 중복 탐지 노이즈를 줄입니다.예시:
user-1234입력 규칙 및 검증 참고 사항
- 위에 나열된 필드를 사용자 또는 문서에서 입력받은 그대로 전송하십시오.
- Didit은 데이터베이스를 호출하기 전에 필수 필드를 검증합니다. 소스를 조회하기 전에 거부된 요청은 과금되지 않습니다.
호출 방법
curl -X POST "https://verification.didit.me/v3/database-validation/" \
-H "x-api-key: YOUR_API_KEY" \
-F "issuing_state=NZL" \
-F "services=nzl_zealand_drivers_licence" \
-F "vendor_data=user-1234" \
-F "consent=true" \
-F "first_name=John" \
-F "last_name=Doe" \
-F "date_of_birth=1990-01-01" \
-F "driver_license_number=SAMPLE-DL-12345" \
-F "driver_license_version=1"
from didit import Didit
# Reads DIDIT_API_KEY.
client = Didit()
result = client.database_validation.validate(
issuing_state="NZL",
services=["nzl_zealand_drivers_licence"],
consent=True,
first_name="John",
last_name="Doe",
date_of_birth="1990-01-01",
driver_license_number="SAMPLE-DL-12345",
driver_license_version="1",
vendor_data="user-1234",
)
print(result)
import Didit from "@didit-protocol/sdk-node";
// Reads DIDIT_API_KEY.
const didit = new Didit();
const result = await didit.databaseValidation.validate({
issuing_state: "NZL",
services: ["nzl_zealand_drivers_licence"],
consent: true,
first_name: "John",
last_name: "Doe",
date_of_birth: "1990-01-01",
driver_license_number: "SAMPLE-DL-12345",
driver_license_version: "1",
vendor_data: "user-1234",
});
console.log(result);
ctx := context.Background()
// Reads DIDIT_API_KEY.
client := didit.NewClient()
result, err := client.DatabaseValidation.Validate(ctx, didit.DatabaseValidationValidateParams{
IssuingState: "NZL",
Services: didit.Some([]string{"nzl_zealand_drivers_licence"}),
Consent: didit.Bool(true),
FirstName: didit.String("John"),
LastName: didit.String("Doe"),
DateOfBirth: didit.String("1990-01-01"),
DriverLicenseNumber: didit.String("SAMPLE-DL-12345"),
DriverLicenseVersion: didit.String("1"),
VendorData: didit.String("user-1234"),
})
if err != nil {
log.Fatal(err)
}
fmt.Printf("%+v\n", result)
import java.time.LocalDate;
import java.util.List;
import me.didit.Didit;
import me.didit.types.DatabaseValidationValidateParams;
// Reads DIDIT_API_KEY.
Didit client = new Didit();
var result = client.databaseValidation().validate(DatabaseValidationValidateParams.builder()
.issuingState("NZL")
.services(List.of("nzl_zealand_drivers_licence"))
.consent(true)
.firstName("John")
.lastName("Doe")
.dateOfBirth(LocalDate.parse("1990-01-01"))
.driverLicenseNumber("SAMPLE-DL-12345")
.driverLicenseVersion("1")
.vendorData("user-1234")
.build());
System.out.println(result);
<?php
require 'vendor/autoload.php';
use Didit\DiditClient;
// Reads DIDIT_API_KEY.
$didit = new DiditClient();
$result = $didit->databaseValidation->validate([
'issuing_state' => 'NZL',
'services' => ['nzl_zealand_drivers_licence'],
'consent' => true,
'first_name' => 'John',
'last_name' => 'Doe',
'date_of_birth' => '1990-01-01',
'driver_license_number' => 'SAMPLE-DL-12345',
'driver_license_version' => '1',
'vendor_data' => 'user-1234',
]);
print_r($result->toArray());
require "didit"
# Reads DIDIT_API_KEY.
didit = Didit::Client.new
result = didit.database_validation.validate(
issuing_state: "NZL",
services: ["nzl_zealand_drivers_licence"],
consent: true,
first_name: "John",
last_name: "Doe",
date_of_birth: "1990-01-01",
driver_license_number: "SAMPLE-DL-12345",
driver_license_version: "1",
vendor_data: "user-1234"
)
puts result.to_h
using System;
using System.Text.Json;
using Didit;
// Reads DIDIT_API_KEY.
using var client = new DiditClient();
var result = await client.DatabaseValidation.ValidateAsync(new DatabaseValidationValidateParams
{
IssuingState = "NZL",
Services = new string[] { "nzl_zealand_drivers_licence" },
Consent = true,
FirstName = "John",
LastName = "Doe",
DateOfBirth = "1990-01-01",
DriverLicenseNumber = "SAMPLE-DL-12345",
DriverLicenseVersion = "1",
VendorData = "user-1234",
});
Console.WriteLine(JsonSerializer.Serialize(result));
성공한 호출은 모두 HTTP 200을 반환합니다. outcome_code 필드는 실제로 어떤 일이 일어났는지 알려줍니다. 예를 들어 실제 생체 불일치(BIOMETRIC_NO_MATCH)와 읽을 수 없었던 셀피(BIOMETRIC_IMAGE_UNUSABLE)를 구분합니다. 표시되는 status는 기본 기능 상태이며, 설정한 부분 일치 / 불일치 작업에 따라 재정의될 수 있습니다.MATCH: 등록부가 신원을 확인했으며, 확인한 모든 필드가 일치했습니다.{
"request_id": "req_01H…",
"status": "Approved",
"issuing_state": "NZL",
"match_type": "full_match",
"validations": [
{
"outcome_code": "MATCH",
"service_id": "nzl_zealand_drivers_licence",
"service_name": "New Zealand Drivers Licence (NZTA)",
"source_data": {
"date_of_birth": "1990-01-01",
"first_name": "John",
"full_name": "John Doe",
"identification_number": "SAMPLE-ID-12345",
"last_name": "Doe",
"name_match_score": "1.000",
"verifications": {
"date_of_birth": true,
"full_name": true,
"identification_number": true
}
},
"validation": {
"date_of_birth": "full_match",
"full_name": "full_match",
"identification_number": "full_match"
}
}
]
}
PARTIAL_MATCH: 식별 번호는 찾았지만 하나 이상의 개인 정보 필드(보통 이름 또는 생년월일)가 완전히 일치하지 않았습니다.{
"request_id": "req_01H…",
"status": "In Review",
"issuing_state": "NZL",
"match_type": "partial_match",
"validations": [
{
"outcome_code": "PARTIAL_MATCH",
"service_id": "nzl_zealand_drivers_licence",
"service_name": "New Zealand Drivers Licence (NZTA)",
"source_data": {
"date_of_birth": "1990-01-01",
"first_name": "John",
"full_name": "John Doe",
"identification_number": "SAMPLE-ID-12345",
"last_name": "Doe",
"name_match_score": "1.000",
"verifications": {
"date_of_birth": true,
"full_name": false,
"identification_number": true
}
},
"validation": {
"date_of_birth": "full_match",
"full_name": "no_match",
"identification_number": "full_match"
}
}
]
}
NO_MATCH: 등록부에서 제출된 데이터와 일치하는 결과를 찾지 못했습니다.{
"request_id": "req_01H…",
"status": "Declined",
"issuing_state": "NZL",
"match_type": "no_match",
"validations": [
{
"outcome_code": "NO_MATCH",
"service_id": "nzl_zealand_drivers_licence",
"service_name": "New Zealand Drivers Licence (NZTA)",
"source_data": {
"date_of_birth": "NO_MATCH",
"full_name": "NO_MATCH",
"identification_number": "NO_MATCH"
},
"validation": {
"date_of_birth": "no_match",
"full_name": "no_match",
"identification_number": "no_match"
}
}
]
}
반환 데이터
source_data에 표시되는 정확한 필드는 등록부가 반환하는 데이터에 따라 달라집니다. nzl_zealand_drivers_licence의 생성된 예시는 현재 다음과 같은 정규화된 형식을 문서화합니다:
date_of_birthfirst_namefull_nameidentification_numberlast_namename_match_score
요금 및 SLA
뉴질랜드 운전면허(NZTA) 조회는 Didit이 검증 소스로부터 확정적인 결과를 받은 경우에만 과금됩니다.- 호출당 가격: $0.35 USD
- 과금: 성공한 조회 건당 과금됩니다. 등록부에 연결할 수 없는 경우, 필수 필드가 누락된 경우, 또는 요청이 소스에 도달하기 전에 거부된 경우에는 과금되지 않습니다.
- 지연 시간: 일반적인 p95 < 2초
- 가용성: Didit 측 기준 분기별 99.9%이며, 하위 소스의 가용성은 국가와 데이터셋에 따라 다릅니다.
계속 읽기
마지막 수정일 2026년 11월 7일